# vim: set sw=4 ts=4 et nu:

Name:               madplay
Version:            0.15.2b
Release:            3.1
Summary:            MPEG audio decoder and player
Source:             ftp://ftp.mars.org/pub/mpeg/madplay-%{version}.tar.gz
URL:                http://www.underbit.com/products/mad/
Group:              Productivity/Multimedia/Sound/Players
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      alsa-devel
BuildRequires:      libmad-devel
BuildRequires:      libid3tag-devel zlib-devel
BuildRequires:      gcc gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool

%description
madplay is a command-line MPEG audio decoder and player based on the MAD
library (libmad).

%package -n abxtest
Summary:            Double-blind ABX comparison testing script
Group:              Productivity/Multimedia/Sound/Utilities

%description -n abxtest
abxtest is a tool for conducting listening (or other subjective) tests to
determine whether a listener can discern a difference between two subjects
under test, denoted A and B.

%prep
%setup -q

%build
%configure \
    --with-alsa \
    --enable-experimental

%__make %{?_smp_flags}

%install
%makeinstall

%__rm -rf "%{buildroot}%{_datadir}/locale/no"

%find_lang "%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc CHANGES CREDITS COPYING COPYRIGHT README TODO
%{_bindir}/madplay
%doc %{_mandir}/man1/madplay.1*

%files -n abxtest
%defattr(-,root,root)
%{_bindir}/abxtest
%doc %{_mandir}/man1/abxtest.1*

%changelog
* Mon Feb 25 2013 seife+obs@b1-systems.com
- buildrequire zlib-devel to fix build on 12.3+
* Sat Nov 12 2011 pascal.bleser@opensuse.org
- initial version (0.15.2b)
